name: Edge Firewall Relationship
services:
  generic node-bckfd:
    name: Generic Node
    type: GenericNode
    apiVersion: core.meshery.io/v1alpha1
    version: v1.0.0
    model: meshery-core
    settings:
      user Messages: []
    traits:
      meshmap:
        edges: []
        id: 4c214325-8ce5-40e1-9697-c5751edec5c5
        label: Generic Node
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: abf31830-2ad6-54c4-90e1-d4c52807deef
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: v1.0.0
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"config":false,"lock":true,"shape":{"convert-shape":false},"style":false},"label":{"edit":true,"show":false,"sync-with-config-property":"none"}}}'
          defaultData: '{"label":""}'
          genealogy: ""
          isAnnotation: true
          isModelAnnotation: "TRUE"
          isNamespaced: false
          logoURL: ""
          model: meshery-core
          modelDisplayName: Meshery Core
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: circle
          shapePolygonPoints: ""
          styleOverrides:
            background-image: none
            border-style: dashed
            border-width: 0
            data:
              label: ""
            height: 30px
            width: 30px
            z-index: 5
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/genericnode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/genericnode-white.svg
        parent: aa41c2bf-dc8c-4470-87df-cbc5e7447c79
        position:
          posX: 290
          posY: 150
        whiteboardData: {}
  generic node-cohxk:
    name: Generic Node
    type: GenericNode
    apiVersion: core.meshery.io/v1alpha1
    version: v1.0.0
    model: meshery-core
    traits:
      meshmap:
        edges: []
        id: 1fff5510-707e-403d-99cd-ed51b67662ed
        label: Generic Node
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: abf31830-2ad6-54c4-90e1-d4c52807deef
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: v1.0.0
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"config":false,"lock":true,"shape":{"convert-shape":false},"style":false},"label":{"edit":true,"show":false,"sync-with-config-property":"none"}}}'
          defaultData: '{"label":""}'
          genealogy: ""
          isAnnotation: true
          isModelAnnotation: "TRUE"
          isNamespaced: false
          logoURL: ""
          model: meshery-core
          modelDisplayName: Meshery Core
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: circle
          shapePolygonPoints: ""
          styleOverrides:
            background-image: none
            border-style: dashed
            border-width: 0
            data:
              label: ""
            height: 30px
            width: 30px
            z-index: 4
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/genericnode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/genericnode-white.svg
        parent: 612d3391-5ef1-4471-9670-cc07a686a7cd
        position:
          posX: 510
          posY: 150
        whiteboardData: {}
  network-policy-io:
    name: network-policy-io
    type: NetworkPolicy
    apiVersion: networking.k8s.io/v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    traits:
      meshmap:
        edges: []
        id: b116f880-b490-4122-81d6-33024211f3b6
        label: network-policy-io
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Kubernetes
          hostID: 00000000-0000-0000-0000-000000000000
          id: d247c4d8-3c7f-5e48-8158-2fba74f1c41c
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
          name: kubernetes
          relationships: []
          status: registered
          version: v1.25.2
        meshmodel-metadata:
          capabilities: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: circle
          styleOverrides:
            z-index: 3
          subCategory: Orchestration & Management
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg
        position:
          posX: 310
          posY: 70
        whiteboardData: {}
  node group inventory wallet-aftwm:
    name: Node Group Inventory Wallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    version: v1.0.0
    model: meshery-core
    traits:
      meshmap:
        edges: []
        id: 12722a12-b6b2-471b-9216-1b9d8326061a
        label: Node Group Inventory Wallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: abf31830-2ad6-54c4-90e1-d4c52807deef
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: v1.0.0
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"config":false,"lock":true,"shape":{"convert-shape":false},"style":false},"label":{"edit":true,"show":false,"sync-with-config-property":"label"}}}'
          defaultData: '{"label":""}'
          genealogy: parent
          isAnnotation: true
          isModelAnnotation: "TRUE"
          isNamespaced: false
          logoURL: ""
          model: meshery-core
          modelDisplayName: Meshery Core
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          styleOverrides:
            background-image: none
            background-opacity: 0.1
            border-style: dashed
            border-width: 1
            data:
              label: ""
            height: 30px
            width: 30px
            z-index: 7
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":1,"border-style":"dashed","background-opacity":0.1}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/genericnode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/genericnode-white.svg
        parent: 612d3391-5ef1-4471-9670-cc07a686a7cd
        position:
          posX: 350
          posY: -10
        whiteboardData: {}
  node group inventory wallet-dfdpi:
    name: Node Group Inventory Wallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    version: v1.0.0
    model: meshery-core
    traits:
      meshmap:
        edges: []
        id: 76274f72-2cb6-4b88-b308-c44dc97ea7d6
        label: Node Group Inventory Wallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: abf31830-2ad6-54c4-90e1-d4c52807deef
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: v1.0.0
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"config":false,"lock":true,"shape":{"convert-shape":false},"style":false},"label":{"edit":true,"show":false,"sync-with-config-property":"label"}}}'
          defaultData: '{"label":""}'
          genealogy: parent
          isAnnotation: true
          isModelAnnotation: "TRUE"
          isNamespaced: false
          logoURL: ""
          model: meshery-core
          modelDisplayName: Meshery Core
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          styleOverrides:
            background-image: none
            background-opacity: 0.1
            border-style: dashed
            border-width: 1
            data:
              label: ""
            height: 30px
            width: 30px
            z-index: 6
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":1,"border-style":"dashed","background-opacity":0.1}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/genericnode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/genericnode-white.svg
        parent: aa41c2bf-dc8c-4470-87df-cbc5e7447c79
        position:
          posX: 130
          posY: -10
        whiteboardData: {}
